// --------------------------------------------------------
// Copyright (c)
//
// contributions by Ansgar
//                  ansgar.radermacher@cea.fr
// maintained by    CEA LIST
//                  info-list@cea.fr

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef SENDRECEIVE_SENDCLIENT_H
#define SENDRECEIVE_SENDCLIENT_H

/************************************************************
 SendClient class header
 ************************************************************/

#include "sendReceive/Pkg_sendReceive.h"

#include "rclcpp_lifecycle/lifecycle_node.hpp"
#include "simple_msgs/msg/map.hpp"

// Include from Include stereotype (header)
#include <rclcpp/rclcpp.hpp>

// End of Include stereotype (header)

namespace ros2Library {
namespace rclcpp {
class CallbackGroup;
}
}
namespace ros2Library {
namespace rclcpp {
class NodeOptions;
}
}
namespace ros2Library {
namespace rclcpp {
namespace timer {
class TimerBase;
}
}
}

namespace sendReceive {

/************************************************************/
/**
 * 
 */
class SendClient: public rclcpp_lifecycle::LifecycleNode {
public:

  /**
   * 
   */
  rclcpp::CallbackGroup::SharedPtr cbg_Request_;

  /**
   * 
   */
  rclcpp::TimerBase::SharedPtr timer_Request_;

  /**
   * 
   */
  rclcpp::CallbackGroup::SharedPtr cbg_t_Request_;

  /**
   * 
   */
  rclcpp_lifecycle::LifecyclePublisher<simple_msgs::msg::Map>::SharedPtr map_send_;

  /**
   * 
   */
  void fSendMap();

  /**
   * 
   * @param options 
   */
  SendClient(rclcpp::NodeOptions /*in*/options);

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace sendReceive

/************************************************************
 End of SendClient class header
 ************************************************************/

#endif
